Package org.eclipse.birt.chart.model

# Interface DialChart

All Superinterfaces:
  `Chart`, `ChartWithoutAxes`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `DialChartImpl`

public interface DialChart extends ChartWithoutAxes
A representation of the model object 'Dial Chart'. DialChart represent a special type of ChartWithoutAxes class that contains information specific to dials.

To create an instance use the factory method:
DialChartImpl.create( );

The following features are supported:

- `Dial Superimposition`

See Also:
  - `ModelPackage.getDialChart()`

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.model.Chart

`VERSION`

## Method Summary

Modifier and Type
Method
Description
`DialChart`
`copyInstance()`
`boolean`
`isDialSuperimposition()`
Returns the value of the 'Dial Superimposition' attribute.
`boolean`
`isSetDialSuperimposition()`
Returns whether the value of the '`Dial Superimposition`' attribute is set.
`void`
`setDialSuperimposition(boolean value)`
Sets the value of the '`Dial Superimposition`' attribute.
`void`
`unsetDialSuperimposition()`
Unsets the value of the '`Dial Superimposition`' attribute.

### Methods inherited from interface org.eclipse.birt.chart.model.Chart

`clearSections, createSampleRuntimeSeries, getBlock, getDescription, getDimension, getEmptyMessage, getExtendedProperties, getGridColumnCount, getInteractivity, getLegend, getPlot, getSampleData, getScript, getSeriesForLegend, getSeriesThickness, getStyles, getSubType, getTitle, getType, getUnits, getVersion, isSetDimension, isSetGridColumnCount, isSetSeriesThickness, isSetVersion, setBlock, setDescription, setDimension, setEmptyMessage, setGridColumnCount, setInteractivity, setSampleData, setScript, setSeriesThickness, setSubType, setType, setUnits, setVersion, unsetDimension, unsetGridColumnCount, unsetSeriesThickness, unsetVersion`

### Methods inherited from interface org.eclipse.birt.chart.model.ChartWithoutAxes

`getCoverage, getMinSlice, getMinSliceLabel, getRunTimeSeries, getSeriesDefinitions, isMinSlicePercent, isSetCoverage, isSetMinSlice, isSetMinSlicePercent, setCoverage, setMinSlice, setMinSliceLabel, setMinSlicePercent, unsetCoverage, unsetMinSlice, unsetMinSlicePercent`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### isDialSuperimposition

boolean isDialSuperimposition()
Returns the value of the 'Dial Superimposition' attribute. The default value is `"true"`. The boolean attribute "DialSuperimposition" specifies whether all dials are superimposed on one another, or laid out in separate cells.

Returns:
  the value of the 'Dial Superimposition' attribute.
See Also:
  - `isSetDialSuperimposition()`
  - `unsetDialSuperimposition()`
  - `setDialSuperimposition(boolean)`
  - `ModelPackage.getDialChart_DialSuperimposition()`

### setDialSuperimposition

void setDialSuperimposition(boolean value)
Sets the value of the '`Dial Superimposition`' attribute.

Parameters:
  `value` - the new value of the 'Dial Superimposition' attribute.
See Also:
  - `isSetDialSuperimposition()`
  - `unsetDialSuperimposition()`
  - `isDialSuperimposition()`

### unsetDialSuperimposition

void unsetDialSuperimposition()
Unsets the value of the '`Dial Superimposition`' attribute.

See Also:
  - `isSetDialSuperimposition()`
  - `isDialSuperimposition()`
  - `setDialSuperimposition(boolean)`

### isSetDialSuperimposition

boolean isSetDialSuperimposition()
Returns whether the value of the '`Dial Superimposition`' attribute is set.

Returns:
  whether the value of the 'Dial Superimposition' attribute is set.
See Also:
  - `unsetDialSuperimposition()`
  - `isDialSuperimposition()`
  - `setDialSuperimposition(boolean)`

### copyInstance

DialChart copyInstance()

Specified by:
  `copyInstance` in interface `Chart`
Specified by:
  `copyInstance` in interface `ChartWithoutAxes`
Specified by:
  `copyInstance` in interface `IChartObject`